libstdc++: __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare > Class Template Reference

libstdc++

__gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare > Class Template Reference

`#include <multiseq_selection.h>`

Inheritance diagram for __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >:
[legend]

## Public Types
typedef _T1 | first_argument_type
typedef bool | result_type
typedef _T2 | second_argument_type

## Public Member Functions
| _LexicographicReverse (_Compare &__comp)
bool | operator() (const std::pair< _T1, _T2 > &__p1, const std::pair< _T1, _T2 > &__p2) const

## Detailed Description

template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >

Compare __a pair of types lexicographically, descending.

Definition at line 84 of file multiseq_selection.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef _T1 std::binary_function< _T1, _T2, bool >::first_argument_type
| inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ result_type

typedef bool std::binary_function< _T1, _T2, bool >::result_type
| inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

typedef _T2 std::binary_function< _T1, _T2, bool >::second_argument_type
| inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ _LexicographicReverse()

template<typename _T1, typename _T2, typename _Compare>

__gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >::_LexicographicReverse | ( | _Compare & | __comp | ) |
| inline

Definition at line 90 of file multiseq_selection.h.

## Member Function Documentation

## ◆ operator()()

template<typename _T1, typename _T2, typename _Compare>

bool __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >::operator() | ( | const std::pair< _T1, _T2 > & | __p1,
|  | const std::pair< _T1, _T2 > & | __p2 ) const
| inline

Definition at line 93 of file multiseq_selection.h.

The documentation for this class was generated from the following file:

- multiseq_selection.h